Permalink
Browse files

Removing PIL from the requirements as doesn't install correctly.

Also removing GnuPGInterface and python-apt as these seem to be provided by default anyway and aren't available in the normal repositories.
Also moved django-defaultsite to the end as I've seen it failing to install and then stopping other dependencies from installing.
Added a simple readme.txt file to cover the development basics.
  • Loading branch information...
oppiansteve committed Mar 23, 2011
1 parent 9c3308e commit 4d7f883e285ac4b76b39de3551727fd1c60beb6a
Showing with 25 additions and 4 deletions.
  1. +20 −0 readme.txt
  2. +5 −4 requirements.txt
View
@@ -0,0 +1,20 @@
+*) To setup development environment:
+
+Install virtualenv
+
+From the root of the repository, create a virtual environment with:
+ virtualenv oppian-env
+
+Activate the environment:
+ source oppian-env/bin/activate
+
+Install required components:
+ pip install --no-deps --requirement requirements.txt
+
+
+*) To run server:
+
+ ./manage.py syncdb
+
+ ./manage.py runserver_plus localhost:8080
+
View
@@ -1,12 +1,13 @@
BeautifulSoup==3.1.0.1
-GnuPGInterface==0.3.2
Markdown==2.0.3
-PIL==1.1.6
Pygments==1.3.1
South==0.7
boto==1.9b
-django-defaultsite==1.1
-python-apt==0.6.17
python-dateutil==1.5
simplejson==2.1.1
twitter==1.3.1
+
+# this doesn't seem to work on Snow Leopard,
+# so moving to the end, so that the other dependencies are installed
+django-defaultsite==1.1
+

0 comments on commit 4d7f883

Please sign in to comment.